com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ScopeFilter

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ScopeNode, ValidatableObject

      public interface ScopeFilter
      extends ScopeNode

  A representation of the model object 'Scope Filter'.

  The following features are supported:

  - `Expression`
  - `Filter`
  See Also:
    `DecisiontablePackage.getScopeFilter()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpression()` Returns the value of the 'Expression' attribute
    `Filter` | `getFilter()` Returns the value of the 'Filter' reference
    `void` | `setExpression(java.lang.String value)` Sets the value of the '`Expression`' attribute
    `void` | `setFilter(Filter value)` Sets the value of the '`Filter`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.ScopeNode

      `getBackupInfo, getChildren, getName, getParent, getSubtree, isDescendent, isExpanded, setDescendent, setExpanded, setName, setParent`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getExpression

          java.lang.String getExpression()

      Returns the value of the 'Expression' attribute.

      If the meaning of the 'Expression' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression' attribute.
      See Also:
        `setExpression(String)`, `DecisiontablePackage.getScopeFilter_Expression()`

    - #### setExpression

          void setExpression(java.lang.String value)

      Sets the value of the '`Expression`' attribute.
      Parameters:
        `value` - the new value of the 'Expression' attribute.
      See Also:
        `getExpression()`

    - #### getFilter

          Filter getFilter()

      Returns the value of the 'Filter' reference.

      If the meaning of the 'Filter' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Filter' reference.
      See Also:
        `setFilter(Filter)`, `DecisiontablePackage.getScopeFilter_Filter()`

    - #### setFilter

          void setFilter(Filter value)

      Sets the value of the '`Filter`' reference.
      Parameters:
        `value` - the new value of the 'Filter' reference.
      See Also:
        `getFilter()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.